import pygame
import data

class Text(object):
    instance = None
    def __init__(self):
        pygame.font.init()

        self.font_name = data.filepath("pressstart2p.ttf")
        Text.instance = self

        self.fonts = {}

    def render(self, msg, size = 48, color = (200, 200, 200)):
        if self.fonts.has_key(size):
            font = self.fonts[size]
        else:
            font = pygame.font.Font(self.font_name, size)
            self.fonts[size] = font

        sf = font.render(msg, 0, color)
        return sf

    @staticmethod
    def get_instance():
        return Text.instance
